.tableWrapper {
  background-color: white;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 30px 90px;
  display: flex;
  flex-direction: column;
  overflow: auto;
}
.fieldWrapper {
  width: 100%;
  display: flex;
}
.table-title {
  text-align: center;
  padding: 20px 0px;
  color: white;
}
.table-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
}
.containerForm {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  background-color: white;
  padding: 32px;
}
body {
  background: #ad5389; /* fallback for old browsers */
  background: -webkit-linear-gradient(
    to right,
    #ad5389,
    #3c1053
  ); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(
    to right,
    #ad5389,
    #3c1053
  ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}
body{
  margin: 0;
  padding: 0;
}
.containerCard {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  padding: 20px 0px;
}
.message-wraper {
  border-radius: 12px;
  background-color: #e45353;
  width: 500px;
  height: 500px;
  box-shadow: 0px 20px 25px rgba(0, 0, 0, 0.1),
    0px 10px 10px rgba(0, 0, 0, 0.04);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 32px;
  gap: 8px;
  color: white;
}
.content {
  padding: 36px 0px;
}
.navbarBase {
  background-color: rgba(255, 255, 255, 0.5);
}
.wrapper {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  justify-content: center;
  align-content: center;
  padding: 0px 120px;
  gap: 48px;
}
.message-gap {
  display: flex;
  flex-direction: column;
  gap: 16px;
  width: 100%;
}
.message-content {
  display: flex;
  flex-direction: column;
  gap: 4px;
  margin: 0px 32px;
}
h1,
h2,
h3,
p {
  margin: 0px;
}
.fontBold {
  font-weight: bold;
}
/* Hide scrollbar for Chrome, Safari and Opera */
.message::-webkit-scrollbar {
  display: none;
}
/* Hide scrollbar for IE, Edge and Firefox */
.message {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}
.title {
  display: flex;
  justify-content: center;
  text-align: center;
  color: white;
}
@media only screen and (max-width: 1280px) {
  .tableWrapper {
    width: 600px;
    padding: 40px;
  }
  .message-wraper {
    width: 100%;
  }
  /* .wrapper {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  } */
  .wrapper {
    padding: 0px 32px;
    gap: 12px;
  }
}
@media only screen and (max-width: 768px) {
  .tableWrapper {
    width: 300px;
    padding: 20px;
    margin: 20px 0px;
  }
  .fieldWrapper {
    width: 280px;
    display: flex;
  }
  #id_message {
    width: 208px;
  }
  .table-container {
    width: -moz-fit-content;
  }
  .message-wraper {
    width: 100%;
  }
  .wrapper {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
  .wrapper {
    padding: 0px 32px;
    gap: 12px;
  }
}
@media only screen and (min-width: 1280px) {
  .tableWrapper {
    width: 1200px;
    padding: 20px 120px;
  }
}
.btn-action-wrapper {
  display: flex;
  height: 100%;
  gap: 8px;
}
.loading {
  position: fixed;
  z-index: 20;
  display: none;
  background-color: white;
  width: 100vw;
  height: 100vh;
}
.modal {
  display: none;
  z-index: 2000 !important;
  width: 100vw;
  height: 100vh;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  justify-content: center;
  align-items: center;
}
.close {
  position: absolute;
  right: 40px;
  top: 40px;
  justify-content: flex-end;
  display: flex;
  color: white;
  cursor: pointer;
}
.modal-wrapper {
  background-color: white;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 30px 90px;
  display: flex;
  flex-direction: column;
  overflow: auto;
  width: 800px;
  height: 600px;
}